# InventorySlot

data class InventorySlot(row: Int, slotInRow: Int) : Comparable<InventorySlot>
Content copied to clipboard

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard

## Functions

add
Link copied to clipboard
fun add(offsetHorizontally: Int, offsetVertically: Int): InventorySlot
Content copied to clipboard
compareTo
Link copied to clipboard
open operator override fun compareTo(other: InventorySlot): Int
Content copied to clipboard
isInDimension
Link copied to clipboard
fun isInDimension(inventoryDimensions: InventoryDimensions): Boolean
Content copied to clipboard
realSlotIn
Link copied to clipboard
fun realSlotIn(inventoryDimensions: InventoryDimensions): Int?
Content copied to clipboard

## Properties

row
Link copied to clipboard
val row: Int
Content copied to clipboard
slotInRow
Link copied to clipboard
val slotInRow: Int
Content copied to clipboard